DailyItem_ADDONNAME = "DailyItems";
DailyItem_MACRONAME = "DailyItem";
DailyItem_VERSION = "2.0.3-20120604";


SLASH_DAILYITEM1, SLASH_DAILYITEM2 = '/dailyitem', '/di';
function SlashCmdList.DAILYITEM(msg)
	if (strlower(msg) == "zone") then
		DailyItem_Print("Zone = ["..GetRealZoneText().."]");
		DailyItem_Print("SubZone = ["..GetSubZoneText().."]");
	end
	if (strlower(msg) == "update") then
	print ("Force update");

	DailyItem_Go(true);
	end
	if (strlower(msg) == "add") then
	print ("Recreate Macro");
	DailyItem_MakeMacro();
	end

end

-- I want this to run when you log in, update bag contents, swap zones, or change targets.

function DailyItem_OnLoad(self)
	self:RegisterEvent("PLAYER_LOGIN");
	self:RegisterEvent("BAG_UPDATE");
	self:RegisterEvent("ZONE_CHANGED");
	self:RegisterEvent("PLAYER_TARGET_CHANGED");
end

function DailyItem_MakeMacro()
		if (GetMacroIndexByName(DailyItem_MACRONAME) == 0) then
			local numGenMacros, numCharMacros = GetNumMacros();
			if (numGenMacros < 36) then
				CreateMacro(DailyItem_MACRONAME, "INV_MISC_QUESTIONMARK" , "", nil)
			else
				DailyItem_Print("You have 36 General Macros. Cannot add "..DailyItem_MACRONAME.."!");
			end
	else
	 -- print("It already exists");
		end
end


-- Accessor functions
function DI_Zone(index)
	return DailyItem_Quests[index][1];
end
function DI_SubZone(index)
	return DailyItem_Quests[index][2];
end
function DI_Item(index)
	return DailyItem_Quests[index][3];
end
function DI_Target(index)
	return DailyItem_Quests[index][4];
end
function DI_TargetType(index)
	return DailyItem_Quests[index][5];
end
function DI_Quest(index)
	return DailyItem_Quests[index][6];
end

function DailyItem_OnEvent(self, event)
	if (InCombatLockdown()) then return; end

	if (event == "PLAYER_LOGIN") then
		DailyItem_MakeMacro();
		DailyItem_MakeArrays();
		DIQuestsLength = table.getn(DailyItem_Quests);
		DINoQuestsLength= table.getn(DailyItem_NoQuests);
		DailyItem_Print("DailyItems Databese:\nQuests - "..DIQuestsLength.."\nNoQuests - "..DINoQuestsLength);
	end
	DailyItem_Go(false);
end

function DailyItem_Print(msg)
	if ((msg) and (strlen(msg) > 0)) then
		if (DEFAULT_CHAT_FRAME) then
			DEFAULT_CHAT_FRAME:AddMessage(msg, 1, 1, 0);
		end
	end
end

function DailyItem_NumFromLink(itemLink)
	if (not itemLink) then
		return nil;
	end
	local _, _, itemNumber = strfind(itemLink, "item:(%d+):");
	return itemNumber;
end

function DailyItem_CheckZone(Zone)
	if (not Zone) or (Zone == GetRealZoneText()) then
		return true;
	else
		return false;
	end
end

function DailyItem_CheckSubZone(SubZone)
	if (not Zone) or (Zone == GetSubZoneText()) then
		return true;
	else
		return false;
	end
end

function DailyItem_ItemInBags(itemID,verbose)
	for bagID = 0, 4, 1 do
		local bagSlotCnt = GetContainerNumSlots(bagID);
		if (bagSlotCnt > 0) then
			for slot = 1, bagSlotCnt, 1 do
				local itemLink = GetContainerItemLink(bagID, slot);
				local itemNumber = tonumber(DailyItem_NumFromLink(itemLink));
				if (itemNumber) and (itemID == itemNumber) then
			if verbose then print("We found ", itemID, " In bag ", bigID, " slot " , slot); end
					return true;
				end
			end
		end
	end
	return false;
end

function DailyItem_ItemWorn(itemID,verbose)
	for equipID = 0, 19, 1 do
		local itemNumber = GetInventoryItemID("player",equipID);
		if (itemNumber) then
			if (itemID == itemNumber) then
		if verbose then print("We found ", itemID, " In slot ", equipID); end
				return true;
			end
		end
	end
	return false;
end

function DailyItem_Go(verbose)

	local macroText;
	local numQuests = GetNumQuestLogEntries(); -- Get the number of quests in my quest log

	for questNo = 1, numQuests -- Now, cycle through each quest in the quest log
	do
		local questTitle, level, questTag, suggestedGroup, isHeader, isCollapsed, isComplete, isDaily = GetQuestLogTitle(questNo); -- Get the information about each line in the quest log
		if (not isHeader) then-- Dump the lines that are just headers rather than actual quests
			local questID = tonumber(GetQuestLink(questNo):match("\124Hquest:(%d+):")); -- Get the actual quest ID
			for index = 1, DIQuestsLength -- Cycle through all quests in the database
			do
				if ((isComplete) and (questID + DI_Quest(index) == 0)) or ((not isComplete) and (questID == DI_Quest(index))) then -- Check if the current DB line matches the current quest (Negative means match complete quest)
					if DailyItem_CheckZone(DI_Zone(index)) and DailyItem_CheckSubZone(DI_SubZone(index)) then -- Check if we're in the right part of the world
						if verbose then print("DB ", index, " is in zone:", DI_Zone(index), " Subzone:" , DI_SubZone(index)) ; end

						if (DI_Item(index)) then -- Check if there is an associated item to use
							if verbose then print("check item ", DI_Item(index)); end

							if DailyItem_ItemInBags(DI_Item(index),verbose) then-- Do we have it in our bags?
								if verbose then print("Found in bag item ", DI_Item(index)); end
								if (IsEquippableItem(DI_Item(index))) then-- Right, we have the item.  Do we need to be wearing it?  If so, get on with it. This will fire an event which will change the macro!
									macroText = "/equip item:"..DI_Item(index);
									if( verbose) then print(macroText, " due to ", questNo); end
								else
									if (not DI_Target(index)) or ((DI_Target(index) == UnitName("target") and DI_TargetType(index)~=2) ) then -- Targetting bit.  If we don't need a target or we already have the right target just use the item
										macroText = "/use item:"..DI_Item(index);
										if( verbose) then print(macroText, " due to ", questNo); end
									elseif (DailyItem_Quests[index][5] ~= 0) then -- If we need to target something and we're not yet targetting it, target it then use the item
										macroText = "/target [noexists] "..DI_Target(index).."\n/use item:"..DI_Item(index);
										if( verbose) then print(macroText, " due to ", questNo); end
									end -- Targetting
								end -- Equip it or use it
							elseif DailyItem_ItemWorn(DI_Item(index),verbose) then -- OK, we've checked the bags, now check if we're wearing it.
								if (not DI_Target(index)) or (DI_Target(index) == UnitName("target")) then -- Targetting bit.  If we don't need a target or we already have the right target just use the item
									macroText = "/use item:"..DI_Item(index);
									if( verbose) then print(macroText, " due to ", questNo); end
								elseif (DailyItem_Quests[index][5] ~= 0) then -- If we need to target something and we're not yet targetting it, target it then use hte item
									if (DailyItem_Quests[index][5] == 2) then -- We want to re-target everytime
										macroText = "/target "..DailyItem_LocalItems[index][4].."\n/use item:"..DI_Item(index);
									else
										macroText = "/target [noexists] "..DailyItem_LocalItems[index][4].."\n/use item:"..DI_Item(index);
									end
									if( verbose) then print(macroText, " due to ", questNo); end
								end -- Targetting
							end -- Check for item in bags or on character.
						else -- No, we don't have an associated item for this quest
							macroText = "/target [noexists] "..DI_Target(index); -- So, there's no item for this quest.  Must mean we need to target something
							if( verbose) then print(macroText, " due to ", questNo); end
						end -- Is there an item associated with quest
					end -- Zonecheck
				end -- match the current quest to database
			end -- Cycling through database items
		end -- Checking for header
	end -- Cycling through each quest in my log

	if (not macroText) then -- If we;ve not matched a quest, go through the same process with non-quest based items
		for index = 1, DINoQuestsLength -- Cycle through all non-quest entries in the database
		do
			if DailyItem_CheckZone(DailyItem_NoQuests[index][1]) and DailyItem_CheckSubZone(DailyItem_NoQuests[index][2]) then -- Check if we're in the right part of the world
				if (DailyItem_NoQuests[index][3]) then -- Check if there is an associated item to use
					if DailyItem_ItemInBags(DailyItem_NoQuests[index][3], verbose) then -- Do we have it in our bags?
						if (IsEquippableItem(DailyItem_NoQuests[index][3])) then -- Right, we have the item.  Do we need to be wearing it?  If so, get on with it.
							macroText = "/equip item:"..DailyItem_NoQuests[index][3];
						else
							if (not DailyItem_NoQuests[index][4]) or (DailyItem_NoQuests[index][4] == UnitName("target")) then -- Targetting bit.  If we don't need a target or we already have the right target just use the item
								macroText = "/use item:"..DailyItem_NoQuests[index][3];
							elseif (DailyItem_NoQuests[index][5] ~= 0) then -- If we need to target something and we're not yet targetting it, target it then use the item
								macroText = "/target [noexists] "..DailyItem_NoQuests[index][4].."\n/use item:"..DailyItem_NoQuests[index][3];
							end -- Targetting
						end -- Equip it or use it
					elseif DailyItem_ItemWorn(DailyItem_NoQuests[index][3],verbose) then -- OK, we've checked the bags, now check if we're wearing it.
						if (not DailyItem_NoQuests[index][4]) or (DailyItem_NoQuests[index][4] == UnitName("target")) then -- Targetting bit.  If we don't need a target or we already have the right target just use the item
							macroText = "/use item:"..DailyItem_NoQuests[index][3];
						elseif (DailyItem_NoQuests[index][5] ~= 0) then -- If we need to target something and we're not yet targetting it, target it then use hte item
							macroText = "/target [noexists] "..DailyItem_NoQuests[index][4].."\n/use item:"..DailyItem_NoQuests[index][3];
						end -- Targetting
					end -- Check for item in bags or on character.
				else -- No, we don't have an associated item for this quest
					macroText = "/target [noexists] "..DailyItem_NoQuests[index][4]; -- So, there's no item for this quest.  Must mean we need to target something
				end -- Is there an item associated with quest
			end -- Zonecheck
		end -- Non-quest based DB entries
	end -- mactotext check

	if (macroText) then -- So, we've decided what we want in our macro, so write it out (only if there's something to write)
		-- EditMacro(DailyItem_MACRONAME, nil, nil, macroText, nil, nil);
		EditMacro(DailyItem_MACRONAME, nil, "INV_MISC_QUESTIONMARK" , "#showtooltip\n"..macroText, nil, nil);   --whoch should work
	else
		--EditMacro(DailyItem_MACRONAME, nil, "INV_MISC_QUESTIONMARK", "/sleep", nil, nil);
	end -- Writing out macro

end -- End of the main function.



function EquipIT(index)
	if (IsEquippableItem(DI_Item(index))) then-- Right, we have the item.  Do we need to be wearing it?  If so, get on with it.
		return "\n/equip item:"..DI_Item(index);
	else
		return "";
	end
end


function UseIt(index)
	return "\n/use item:"..DI_Item(index);
end


function TargetIt(index)
	if (not DI_Target(index)) or (DI_Target(index) == UnitName("target")) then -- Targetting bit.  If we don't need a target or we already have the right target just use the item
		return "";
	elseif (DI_TargetType[index] ~= 0) then -- If we need to target something and we're not yet targetting it, target it then use the item
		return "\n/target [noexists] "..DI_Target(index)
	end -- Targetting
end



