--[[
This is the array containing the data: Zone - SubZone - ItemID - Target - Aim - Quest
- Zone/SubZone - ANY means it doesn't matter what zone or subzone you are in
- ItemID - the Item number to search for in bags and equipped
- Target - Only use the item if your have this targetted or (see next)
- Aim - for fast moving targets, will attempt to target before using item
- Quest - Only use the item if quest is active and not completed (or unstarted if neg)

The further down the list the higher the priority (by overwriting previous ones)
As such the more generic the zone and target, the higher up it should go.  Also
aimed entries should go above non-aimed.

We store the strings localized

--]]



local AddonName, a = ...
a.AddonName = AddonName
local L = a.Localize


function DailyItem_AddArrayLine(Zone,SubZone,Item,Target,Aim,Quest)
  if (Quest) then
    local index = table.getn(DailyItem_Quests) + 1;
    DailyItem_Quests[index] = {L[Zone],L[SubZone],Item,L[Target],Aim,Quest};
  else
    local index = table.getn(DailyItem_NoQuests) + 1;
    DailyItem_NoQuests[index] = {L[Zone],L[SubZone],Item,L[Target],Aim};
  end
end

function DailyItem_MakeArrays()
  DailyItem_Quests = {};
  DailyItem_NoQuests = {};

DailyItem_AddArrayLine(nul,nul,28455,nul,0,nul);--Archmage Vargoth()
DailyItem_AddArrayLine(nul,nul,45061,nul,0,nul);--Foam Sword()
DailyItem_AddArrayLine(nul,nul,45176,nul,0,nul);--Foam Sword()
DailyItem_AddArrayLine(nul,nul,45177,nul,0,nul);--Foam Sword()
DailyItem_AddArrayLine(nul,nul,45178,nul,0,nul);--Foam Sword()
DailyItem_AddArrayLine(nul,nul,45179,nul,0,nul);--Foam Sword()

-- Rewards or other items you should just use whenever you have them.

DailyItem_AddArrayLine(nul,nul,49655,nul,0,nul);--Lovely Charm(A Gift for the)
DailyItem_AddArrayLine(nul,nul,20393,nul,0,nul);--Treat Bag(Hallows' End Reward)
DailyItem_AddArrayLine(nul,nul,44113,nul,0,nul);--Small Spice Bag(Cooking Daily Reward)
DailyItem_AddArrayLine(nul,nul,34077,nul,0,nul);--Crudely Wrapped Gift(Hallows' End Reward)
DailyItem_AddArrayLine(nul,nul,37586,nul,0,nul);--Handful of Candy(Hallows' End Reward)
DailyItem_AddArrayLine(nul,nul,45724,nul,0,nul);--Champion's Purse(Argent Tournament Reward)
DailyItem_AddArrayLine(nul,nul,46007,nul,0,nul);--Bag of Fishing Treasures(Fishing Daily Reward)
DailyItem_AddArrayLine(nul,nul,52006,nul,0,nul);--Sack of Frosty Treasures(ICC Random Quest Reward)
DailyItem_AddArrayLine(nul,nul,52676,nul,0,nul);--Cache of the Ley-Guardian(Oculus Random Heroic Reward)
DailyItem_AddArrayLine(nul,nul,54516,nul,0,nul);--Loot-Filled Pumpkin(Hallows' End Reward)
DailyItem_AddArrayLine(nul,nul,67414,nul,0,nul);--Bag of Shiny Things(Fishing Daily Reward)

DailyItem_AddArrayLine(nul,nul,46004,nul,0,-13845);--Sealed Vial of Poison(Fishing Daily)
DailyItem_AddArrayLine(nul,nul,48679,nul,0,-14203);--Waterlogged Recipe(Fishing Daily Reward)
DailyItem_AddArrayLine(nul,nul,49667,nul,0,-24431);--Waterlogged Recipe(Fishing Daily Reward)
DailyItem_AddArrayLine(nul,nul,49676,nul,0,-24442);--Kvaldir Attack Plans(Argent Drop Quest)

DailyItem_AddArrayLine(nul,nul,33306,nul,0,nul);--Ram Racing Reins()
DailyItem_AddArrayLine(nul,nul,32971,nul,0,12135);--Water Bucket(Let the Fires Come!)
DailyItem_AddArrayLine(nul,nul,32971,nul,0,12139);--Water Bucket(Let the Fires Come!)
DailyItem_AddArrayLine(nul,nul,41989,nul,0,12958);--Vrykul Amulet(Jewelcrafting Daily)
DailyItem_AddArrayLine(nul,nul,42104,nul,0,12959);--Northern Ivory(Jewelcrafting Daily)
DailyItem_AddArrayLine(nul,nul,42105,nul,0,12960);--Iron Dwarf Brooch(Jewelcrafting Daily)
DailyItem_AddArrayLine(nul,nul,42106,nul,0,12961);--Proto Dragon Bone(Jewelcrafting Daily)
DailyItem_AddArrayLine(nul,nul,42107,nul,0,12962);--Elemental Armor Scrap(Jewelcrafting Daily)
DailyItem_AddArrayLine(nul,nul,42108,nul,0,12963);--Scourge Curio(Jewelcrafting Daily)
DailyItem_AddArrayLine(nul,nul,43101,nul,0,13100);--Meatloaf Pan(Cooking Daily)
DailyItem_AddArrayLine(nul,nul,43101,nul,0,13112);--Meatloaf Pan(Cooking Daily)
DailyItem_AddArrayLine(nul,nul,43139,nul,0,13103);--Empty Cheese Serving Platter(Cooking Daily)
DailyItem_AddArrayLine(nul,nul,43139,nul,0,13115);--Empty Cheese Serving Platter(Cooking Daily)
DailyItem_AddArrayLine(nul,nul,43142,nul,0,13107);--Empty Picnic Basket(Cooking Daily)
DailyItem_AddArrayLine(nul,nul,43142,nul,0,13116);--Empty Picnic Basket(Cooking Daily)
DailyItem_AddArrayLine(nul,nul,43147,nul,0,13102);--Stew Cookpot(Cooking Daily)
DailyItem_AddArrayLine(nul,nul,43147,nul,0,13114);--Stew Cookpot(Cooking Daily)
DailyItem_AddArrayLine(nul,nul,45328,nul,0,13836);--Bloated Slippery Eel(Fishing Daily)

DailyItem_AddArrayLine(nul,nul,49655,nul,0,24613);--Lovely Charm(A Gift for the Banshee Queen)
DailyItem_AddArrayLine(nul,nul,49655,nul,0,24614);--Lovely Charm(A Gift for the High Chieftain)
DailyItem_AddArrayLine(nul,nul,49655,nul,0,24610);--Lovely Charm(A Gift for the High Priestess of Elune)
DailyItem_AddArrayLine(nul,nul,49655,nul,0,24597);--Lovely Charm(A Gift for the King of Stormwind)
DailyItem_AddArrayLine(nul,nul,49655,nul,0,24609);--Lovely Charm(A Gift for the Lord of Ironforge)
DailyItem_AddArrayLine(nul,nul,49655,nul,0,24611);--Lovely Charm(A Gift for the Prophet)
DailyItem_AddArrayLine(nul,nul,49655,nul,0,24615);--Lovely Charm(A Gift for the Regent Lord of Quel'Thalas)
DailyItem_AddArrayLine(nul,nul,49655,nul,0,24612);--Lovely Charm(A Gift for the Warchief)
DailyItem_AddArrayLine("Orgrimmar",nul,50131,nul,0,24536);--Snagglebolt's Air Analyzer(Something Stinks)
DailyItem_AddArrayLine("Stormwind City",nul,50131,nul,0,24655);--Snagglebolt's Air Analyzer(Something Stinks)
DailyItem_AddArrayLine(nul,nul,49668,nul,0,24629);--Crown Perfume Sprayer(A Perfect Puff of Perfume)
DailyItem_AddArrayLine(nul,nul,49669,nul,0,24635);--Crown Cologne Sprayer(A Cloudlet of Classy Cologne)
DailyItem_AddArrayLine(nul,nul,49670,nul,0,24636);--Crown Chocolate Sampler(Bonbon Blitz)

DailyItem_AddArrayLine(nul,nul,52507,nul,0,25157);--Stardust No. 2(Jewelcrafting Daily)
DailyItem_AddArrayLine(nul,nul,52507,nul,0,25159);--Stardust No. 2(Jewelcrafting Daily)
DailyItem_AddArrayLine(nul,nul,58856,nul,0,nul);--Royal Monkfish(Big Gulp)

-- Quests to target an NPC that don't require an item

DailyItem_AddArrayLine("Orgrimmar",nul,nul,"Muddy Crawfish",0,26226);--Muddy Crawfish(Crawfish Creole)
DailyItem_AddArrayLine("Stormwind City",nul,nul,"Canal Crab",0,26177);--Canal Crab(Feeling Crabby?)
DailyItem_AddArrayLine("Uldum",nul,nul,"Weathered Nomad",0,-28736);--Fire From the Sky()

-- Quests with items in specific zones

DailyItem_AddArrayLine("Borean Tundra","Coldarra",35506,"Nexus Drake Hatchling",1,11919);--Raelorasz's Spear(Drake Hunt)
DailyItem_AddArrayLine("Borean Tundra","Coldarra",35506,"Nexus Drake Hatchling",1,11940);--Raelorasz's Spear(Drake Hunt)
DailyItem_AddArrayLine("Borean Tundra","The Nexus",35506,"Nexus Drake Hatchling",1,11919);--Raelorasz's Spear(Drake Hunt)
DailyItem_AddArrayLine("Borean Tundra","The Nexus",35506,"Nexus Drake Hatchling",1,11940);--Raelorasz's Spear(Drake Hunt)
DailyItem_AddArrayLine("Deepholm","Crumbling Depths",65514,nul,0,27048);--Ricket's Tickers(Underground Economy)
DailyItem_AddArrayLine("Deepholm","The Pale Roost",60266,nul,0,26659);--Stonework Mallet(Resonating Blow)
DailyItem_AddArrayLine("Deepholm","The Pale Roost",60266,nul,0,28391);--Stonework Mallet(The Restless Brood)
DailyItem_AddArrayLine("Dragonblight","Drak'Mar Lake",45000,nul,0,13669);--Winter Hyacinth(A Worthy Weapon)
DailyItem_AddArrayLine("Dragonblight","Drak'Mar Lake",45000,nul,0,13674);--Winter Hyacinth(A Worthy Weapon)
DailyItem_AddArrayLine("Durotar","",33096,nul,0,nul);--Complimentary Brewfest Sampler()
DailyItem_AddArrayLine("Durotar","Thunder Ridge",58955,nul,0,26572);--Razgar's Fillet Knife(A Golden Opportunity)
DailyItem_AddArrayLine("Durotar","Thunder Ridge",58958,nul,0,26572);--Drowned Thunder Lizard Tail(A Golden Opportunity)
DailyItem_AddArrayLine("Grizzly Hills","",44986,nul,0,13603);--Warts-B-Gone Lip Balm(A Blade Fit For A Champion)
DailyItem_AddArrayLine("Grizzly Hills","Ashwood Lake",44986,nul,0,13603);--Warts-B-Gone Lip Balm(A Blade Fit For A Champion)
DailyItem_AddArrayLine("Grizzly Hills","",44986,nul,0,13666);--Warts-B-Gone Lip Balm(A Blade Fit For A Champion)
DailyItem_AddArrayLine("Grizzly Hills","Ashwood Lake",44986,nul,0,13666);--Warts-B-Gone Lip Balm(A Blade Fit For A Champion)
DailyItem_AddArrayLine("Grizzly Hills","",44986,nul,0,13741);--Warts-B-Gone Lip Balm(A Blade Fit For A Champion)
DailyItem_AddArrayLine("Grizzly Hills","Ashwood Lake",44986,nul,0,13741);--Warts-B-Gone Lip Balm(A Blade Fit For A Champion)
DailyItem_AddArrayLine("Grizzly Hills","",44986,nul,0,13746);--Warts-B-Gone Lip Balm(A Blade Fit For A Champion)
DailyItem_AddArrayLine("Grizzly Hills","Ashwood Lake",44986,nul,0,13746);--Warts-B-Gone Lip Balm(A Blade Fit For A Champion)
DailyItem_AddArrayLine("Grizzly Hills","",44986,nul,0,13752);--Warts-B-Gone Lip Balm(A Blade Fit For A Champion)
DailyItem_AddArrayLine("Grizzly Hills","Ashwood Lake",44986,nul,0,13752);--Warts-B-Gone Lip Balm(A Blade Fit For A Champion)
DailyItem_AddArrayLine("Grizzly Hills","",44986,nul,0,13757);--Warts-B-Gone Lip Balm(A Blade Fit For A Champion)
DailyItem_AddArrayLine("Grizzly Hills","Ashwood Lake",44986,nul,0,13757);--Warts-B-Gone Lip Balm(A Blade Fit For A Champion)
DailyItem_AddArrayLine("Grizzly Hills","",44986,nul,0,13673);--Warts-B-Gone Lip Balm(A Blade Fit For A Champion)
DailyItem_AddArrayLine("Grizzly Hills","Ashwood Lake",44986,nul,0,13673);--Warts-B-Gone Lip Balm(A Blade Fit For A Champion)
DailyItem_AddArrayLine("Grizzly Hills","",44986,nul,0,13762);--Warts-B-Gone Lip Balm(A Blade Fit For A Champion)
DailyItem_AddArrayLine("Grizzly Hills","Ashwood Lake",44986,nul,0,13762);--Warts-B-Gone Lip Balm(A Blade Fit For A Champion)
DailyItem_AddArrayLine("Grizzly Hills","",44986,nul,0,13768);--Warts-B-Gone Lip Balm(A Blade Fit For A Champion)
DailyItem_AddArrayLine("Grizzly Hills","Ashwood Lake",44986,nul,0,13768);--Warts-B-Gone Lip Balm(A Blade Fit For A Champion)
DailyItem_AddArrayLine("Grizzly Hills","",44986,nul,0,13773);--Warts-B-Gone Lip Balm(A Blade Fit For A Champion)
DailyItem_AddArrayLine("Grizzly Hills","Ashwood Lake",44986,nul,0,13773);--Warts-B-Gone Lip Balm(A Blade Fit For A Champion)
DailyItem_AddArrayLine("Grizzly Hills","",44986,nul,0,13778);--Warts-B-Gone Lip Balm(A Blade Fit For A Champion)
DailyItem_AddArrayLine("Grizzly Hills","Ashwood Lake",44986,nul,0,13778);--Warts-B-Gone Lip Balm(A Blade Fit For A Champion)
DailyItem_AddArrayLine("Grizzly Hills","",44986,nul,0,13783);--Warts-B-Gone Lip Balm(A Blade Fit For A Champion)
DailyItem_AddArrayLine("Grizzly Hills","Ashwood Lake",44986,nul,0,13783);--Warts-B-Gone Lip Balm(A Blade Fit For A Champion)
DailyItem_AddArrayLine("Hillsbrad Foothills","Southshore",20387,nul,0,nul);--Forsaken Stink Bomb Cluster(Hallow's End)
DailyItem_AddArrayLine("Howling Fjord","",40946,nul,0,11472);--Anuniaq's Net(The Way to His Heart...)
DailyItem_AddArrayLine("Howling Fjord","Twin Shores",34127,nul,0,11472);--Tasty Reef Fish(The Way to His Heart...)
DailyItem_AddArrayLine("Howling Fjord","Winter's Breath Lake",45005,"Maiden of Winter's Breath Lake",1,13616);--Everburning Ember(The Edge Of Winter)
DailyItem_AddArrayLine("Howling Fjord","Winter's Breath Lake",45005,"Maiden of Winter's Breath Lake",1,13670);--Everburning Ember(The Edge Of Winter)
DailyItem_AddArrayLine("Howling Fjord","Winter's Breath Lake",45005,"Maiden of Winter's Breath Lake",1,13675);--Everburning Ember(The Edge Of Winter)
DailyItem_AddArrayLine("Howling Fjord","Winter's Breath Lake",45005,"Maiden of Winter's Breath Lake",1,13743);--Everburning Ember(The Edge Of Winter)
DailyItem_AddArrayLine("Howling Fjord","Winter's Breath Lake",45005,"Maiden of Winter's Breath Lake",1,13748);--Everburning Ember(The Edge Of Winter)
DailyItem_AddArrayLine("Howling Fjord","Winter's Breath Lake",45005,"Maiden of Winter's Breath Lake",1,13754);--Everburning Ember(The Edge Of Winter)
DailyItem_AddArrayLine("Howling Fjord","Winter's Breath Lake",45005,"Maiden of Winter's Breath Lake",1,13759);--Everburning Ember(The Edge Of Winter)
DailyItem_AddArrayLine("Howling Fjord","Winter's Breath Lake",45005,"Maiden of Winter's Breath Lake",1,13764);--Everburning Ember(The Edge Of Winter)
DailyItem_AddArrayLine("Howling Fjord","Winter's Breath Lake",45005,"Maiden of Winter's Breath Lake",1,13770);--Everburning Ember(The Edge Of Winter)
DailyItem_AddArrayLine("Howling Fjord","Winter's Breath Lake",45005,"Maiden of Winter's Breath Lake",1,13775);--Everburning Ember(The Edge Of Winter)
DailyItem_AddArrayLine("Howling Fjord","Winter's Breath Lake",45005,"Maiden of Winter's Breath Lake",1,13780);--Everburning Ember(The Edge Of Winter)
DailyItem_AddArrayLine("Howling Fjord","Winter's Breath Lake",45005,"Maiden of Winter's Breath Lake",1,13785);--Everburning Ember(The Edge Of Winter)
DailyItem_AddArrayLine("Hrothgar's Landing","",46870,nul,0,14077);--Confessor's Prayer Book(The Light's Mercy)
DailyItem_AddArrayLine("Hrothgar's Landing","The Sea Reaver's Run",46954,nul,0,14077);--Confessor's Prayer Book(The Light's Mercy)
DailyItem_AddArrayLine("Hrothgar's Landing","",46870,nul,0,14144);--Confessor's Prayer Book(The Light's Mercy)
DailyItem_AddArrayLine("Hrothgar's Landing","The Sea Reaver's Run",46954,nul,0,14144);--Confessor's Prayer Book(The Light's Mercy)
DailyItem_AddArrayLine("Icecrown",nul,46069,nul,0,nul);--Alliance Lance(Argent Tournament)
DailyItem_AddArrayLine("Icecrown",nul,46070,nul,0,nul);--Horde Lance(Argent Tournament)
DailyItem_AddArrayLine("Icecrown",nul,46106,nul,0,nul);--Argent Lance(Argent Tournament)
DailyItem_AddArrayLine("Icecrown","Njorndar Village",42480,nul,0,12995);--Ebon Blade Banner(Leave Our Mark)
DailyItem_AddArrayLine("Icecrown","Jotunheim",42480,nul,0,12995);--Ebon Blade Banner(Leave Our Mark)
DailyItem_AddArrayLine("Icecrown","Valhalas",42480,nul,0,12995);--Ebon Blade Banner(Leave Our Mark)
DailyItem_AddArrayLine("Icecrown","Mord'rethar: The Death Gate",44009,nul,0,13295);--Flesh Giant Spine(Basic Chemistry)
DailyItem_AddArrayLine("Icecrown","Mord'rethar: The Death Gate",44010,nul,0,13295);--Pustulant Spinal Fluid(Basic Chemistry)
DailyItem_AddArrayLine("Icecrown","Mord'rethar: The Death Gate",44009,nul,0,13279);--Flesh Giant Spine(Basic Chemistry)
DailyItem_AddArrayLine("Icecrown","Mord'rethar: The Death Gate",44010,nul,0,13279);--Pustulant Spinal Fluid(Basic Chemistry)
DailyItem_AddArrayLine("Icecrown","Mord'rethar: The Death Gate",44009,nul,0,13281);--Flesh Giant Spine(Neutralizing the Plague)
DailyItem_AddArrayLine("Icecrown","Mord'rethar: The Death Gate",44010,nul,0,13281);--Pustulant Spinal Fluid(Neutralizing the Plague)
DailyItem_AddArrayLine("Icecrown","Mord'rethar: The Death Gate",44009,nul,0,13297);--Flesh Giant Spine(Neutralizing the Plague)
DailyItem_AddArrayLine("Icecrown","Mord'rethar: The Death Gate",44010,nul,0,13297);--Pustulant Spinal Fluid(Neutralizing the Plague)
DailyItem_AddArrayLine("Icecrown","The Broken Front",43968,nul,0,13288);--Abomination Reanimation Kit(That's Abominable!)
DailyItem_AddArrayLine("Icecrown","The Broken Front",43968,nul,0,13289);--Abomination Reanimation Kit(That's Abominable!)
DailyItem_AddArrayLine("Icecrown","The Broken Front",43968,nul,0,13264);--Abomination Reanimation Kit(That's Abominable!)
DailyItem_AddArrayLine("Icecrown","The Broken Front",43968,nul,0,13276);--Abomination Reanimation Kit(That's Abominable!)
DailyItem_AddArrayLine("Icecrown","The Broken Front",43608,nul,0,13261);--Copperclaw's Volatile Oil(Volatility)
DailyItem_AddArrayLine("Icecrown","The Broken Front",43608,nul,0,13239);--Copperclaw's Volatile Oil(Volatility)
DailyItem_AddArrayLine("Icecrown","Aldur'thar: The Desolation Gate",44476,nul,0,13346);--Alumeth's Skull(No Rest For The Wicked)
DailyItem_AddArrayLine("Icecrown","Aldur'thar: The Desolation Gate",44480,nul,0,13346);--Alumeth's Remains(No Rest For The Wicked)
DailyItem_AddArrayLine("Icecrown","Aldur'thar: The Desolation Gate",44476,nul,0,13350);--Alumeth's Skull(No Rest For The Wicked)
DailyItem_AddArrayLine("Icecrown","Aldur'thar: The Desolation Gate",44480,nul,0,13350);--Alumeth's Remains(No Rest For The Wicked)
DailyItem_AddArrayLine("Icecrown","Aldur'thar: The Desolation Gate",44476,nul,0,13367);--Alumeth's Skull(No Rest For The Wicked)
DailyItem_AddArrayLine("Icecrown","Aldur'thar: The Desolation Gate",44480,nul,0,13367);--Alumeth's Remains(No Rest For The Wicked)
DailyItem_AddArrayLine("Icecrown","Aldur'thar: The Desolation Gate",44476,nul,0,13368);--Alumeth's Skull(No Rest For The Wicked)
DailyItem_AddArrayLine("Icecrown","Aldur'thar: The Desolation Gate",44480,nul,0,13368);--Alumeth's Remains(No Rest For The Wicked)
DailyItem_AddArrayLine("Icecrown","Aldur'thar: The Desolation Gate",44304,nul,0,13321);--Writhing Mass(Retest Now)
DailyItem_AddArrayLine("Icecrown","Aldur'thar: The Desolation Gate",44304,nul,0,13322);--Writhing Mass(Retest Now)
DailyItem_AddArrayLine("Icecrown","Aldur'thar: The Desolation Gate",44304,nul,0,13356);--Writhing Mass(Retest Now)
DailyItem_AddArrayLine("Icecrown","Aldur'thar: The Desolation Gate",44304,nul,0,13357);--Writhing Mass(Retest Now)
DailyItem_AddArrayLine("Icecrown","Aldur'thar: The Desolation Gate",44246,"Dark Subjugator",0,13352);--Orb of Illusion(Drag and Drop)
DailyItem_AddArrayLine("Icecrown","Aldur'thar: The Desolation Gate",44433,"Enslaved Minion",0,13342);--Rod of Siphoning(Not a Bug)
DailyItem_AddArrayLine("Icecrown","Aldur'thar: The Desolation Gate",44433,"Enslaved Minion",0,13344);--Rod of Siphoning(Not a Bug)
DailyItem_AddArrayLine("Icecrown","Aldur'thar: The Desolation Gate",44433,"Enslaved Minion",0,13358);--Rod of Siphoning(Not a Bug)
DailyItem_AddArrayLine("Icecrown","Aldur'thar: The Desolation Gate",44433,"Enslaved Minion",0,13365);--Rod of Siphoning(Not a Bug)
DailyItem_AddArrayLine("Icecrown","Aldur'thar: The Desolation Gate",44307,nul,0,13321);--Diluted Cult Tonic(Retest Now)
DailyItem_AddArrayLine("Icecrown","Aldur'thar: The Desolation Gate",44307,nul,0,13322);--Diluted Cult Tonic(Retest Now)
DailyItem_AddArrayLine("Icecrown","Aldur'thar: The Desolation Gate",44307,nul,0,13356);--Diluted Cult Tonic(Retest Now)
DailyItem_AddArrayLine("Icecrown","Aldur'thar: The Desolation Gate",44307,nul,0,13357);--Diluted Cult Tonic(Retest Now)
DailyItem_AddArrayLine("Icecrown","Aldur'thar: The Desolation Gate",44301,nul,0,13321);--Tainted Essence(Retest Now)
DailyItem_AddArrayLine("Icecrown","Aldur'thar: The Desolation Gate",44301,nul,0,13322);--Tainted Essence(Retest Now)
DailyItem_AddArrayLine("Icecrown","Aldur'thar: The Desolation Gate",44301,nul,0,13356);--Tainted Essence(Retest Now)
DailyItem_AddArrayLine("Icecrown","Aldur'thar: The Desolation Gate",44301,nul,0,13357);--Tainted Essence(Retest Now)
DailyItem_AddArrayLine("Icecrown","The Valley of Fallen Heroes",44212,"Skybreaker Recon Fighter",1,13313);--SGM-3()
DailyItem_AddArrayLine("Icecrown","The Valley of Fallen Heroes",44212,"Skybreaker Recon Fighter",1,13331);--SGM-3()
DailyItem_AddArrayLine("Icecrown","The Valley of Fallen Heroes",47033,"Fallen Hero's Spirit",0,14107);--Light-Blessed Relic(The Fate Of The Fallen)
DailyItem_AddArrayLine("Icecrown","",47036,nul,0,nul);--Fresh Chum(Argent Tournament)
DailyItem_AddArrayLine("Isle of Quel'Danas","",34489,nul,0,11542);--Flaming Oil(Intercept the Reinforcements)
DailyItem_AddArrayLine("Isle of Quel'Danas","",34489,nul,0,11543);--Flaming Oil(Keeping the Enemy at Bay)
DailyItem_AddArrayLine("Isle of Quel'Danas","Sun's Reach Harbor",34338,nul,0,11496);--Mana Remnants(The Sanctum Wards)
DailyItem_AddArrayLine("Isle of Quel'Danas","Sun's Reach Armory",34500,nul,0,11544);--Ata'mal Armament(Ata'mal Armaments)
DailyItem_AddArrayLine("Isle of Quel'Danas","The Bloodoath",34489,nul,0,11542);--Flaming Oil(Intercept the Reinforcements)
DailyItem_AddArrayLine("Isle of Quel'Danas","The Bloodoath",34489,nul,0,11543);--Flaming Oil(Keeping the Enemy at Bay)
DailyItem_AddArrayLine("Isle of Quel'Danas","The Dawnchaser",34489,nul,0,11542);--Flaming Oil(Intercept the Reinforcements)
DailyItem_AddArrayLine("Isle of Quel'Danas","The Dawnchaser",34489,nul,0,11543);--Flaming Oil(Keeping the Enemy at Bay)
DailyItem_AddArrayLine("Isle of Quel'Danas","The Dawning Square",34533,nul,0,11547);--Astromancer's Crystal(Know Your Ley Lines)
DailyItem_AddArrayLine("Isle of Quel'Danas","The Dawning Square",34414,"Emissary of Hate",0,11538);--Shattered Sun Banner(The Battle for the Sun's Reach Armory)
DailyItem_AddArrayLine("Isle of Quel'Danas","The Dawning Square",34414,"Emissary of Hate",0,11537);--Shattered Sun Banner(The Battle Must Go On)
DailyItem_AddArrayLine("Isle of Quel'Danas","Greengill Coast",34533,nul,0,11547);--Astromancer's Crystal(Know Your Ley Lines)
DailyItem_AddArrayLine("Isle of Quel'Danas","Greengill Coast",34483,nul,0,11541);--Orb of Murloc Control(Disrupt the Greengill Coast)
DailyItem_AddArrayLine("Isle of Quel'Danas","Dawnstar Village",34533,nul,0,11547);--Astromancer's Crystal(Know Your Ley Lines)
DailyItem_AddArrayLine("Isle of Quel'Danas","The Dead Scar",34475,nul,0,11532);--Arcane Charges(Distraction at the Dead Scar)
DailyItem_AddArrayLine("Isle of Quel'Danas","The Dead Scar",34475,nul,0,11533);--Arcane Charges(The Air Strikes Must Continue)
DailyItem_AddArrayLine("Isle of Quel'Danas",nul,34368,"Erratic Sentry",0,11524);--Attuned Crystal Cores(Erratic Behavior)
DailyItem_AddArrayLine("Isle of Quel'Danas",nul,34368,"Erratic Sentry",0,11525);--Attuned Crystal Cores(Further Conversions)
DailyItem_AddArrayLine("Sholazar Basin","River's Heart",45902,nul,0,13830);--Phantom Ghostfish(The Ghostfish)
DailyItem_AddArrayLine("Tol Barad Peninsula","The Restless Front",62829,nul,0,27992);--Magnetised Scrap Collector(Magnets)
DailyItem_AddArrayLine("Tol Barad Peninsula","The Restless Front",62829,nul,0,28692);--Magnetised Scrap Collector(Magnets)
DailyItem_AddArrayLine("Twilight Highlands","Verrall River",62775,"Thundermar War Gryphon",1,27929);--Barbed Fleshhook(Drag 'em Down)
DailyItem_AddArrayLine("Twilight Highlands","Verrall River",62775,"Thundermar War Gryphon",1,28874);--Barbed Fleshhook(Hook 'em High)
DailyItem_AddArrayLine("Terokkar Forest","Razorthorn Rise",34255,nul,0,nul);--Razorthorn Flayer Gland()
DailyItem_AddArrayLine("The Storm Peaks","Fjorn's Anvil",42246,nul,0,12981);--Essence of Ice(Hot and Cold)
DailyItem_AddArrayLine("The Storm Peaks","Garm's Bane",46885,"Snowblind Follower",1,14090);--Weighted Net(Gormok Wants His Snobolds)
DailyItem_AddArrayLine("The Storm Peaks","Garm's Bane",46885,"Snowblind Follower",1,14141);--Weighted Net(Gormok Wants His Snobolds)
DailyItem_AddArrayLine("The Storm Peaks","Thunderfall",42164,nul,0,12977);--Hodir's Horn(Blowing Hodir's Horn)
DailyItem_AddArrayLine("The Storm Peaks","Valley of Ancient Winters",42769,"Wild Wyrm",1,13003);--Spear of Hodir(Thrusting Hodir's Spear)
DailyItem_AddArrayLine("The Storm Peaks","Valley of Ancient Winters",42479,"Corpse of the Fallen Worg",0,12994);--Ethereal Worg's Fang(Spy Hunter)
DailyItem_AddArrayLine("The Storm Peaks","Valley of Ancient Winters",42774,"Roaming Jormungar",0,13046);--Arngrim's Tooth(Feeding Arngrim)
DailyItem_AddArrayLine("The Storm Peaks","The Forlorn Mine",42837,"Exhausted Vrykul",1,12906);--Disciplining Rod(Discipline)
DailyItem_AddArrayLine("The Storm Peaks","The Pit of the Fang",42499,nul,0,13424);--Reins of the Warbear Matriarch(Back to the Pit)
DailyItem_AddArrayLine("The Storm Peaks","The Pit of the Fang",42499,nul,0,12997);--Reins of the Warbear Matriarch(Into the Pit)
DailyItem_AddArrayLine("The Storm Peaks",nul,46893,nul,0,14076);--Earthshaker Drum(Breakfast Of Champions)
DailyItem_AddArrayLine("The Storm Peaks",nul,46893,nul,0,14092);--Earthshaker Drum(Breakfast Of Champions)
DailyItem_AddArrayLine("Uldum","Tahret Grounds",63351,nul,0,28250);--Tahret Dynasty Mallet(Thieving Little Pluckers)
DailyItem_AddArrayLine("Zul'Drak","Drak'Sotra",38556,nul,0,12568);--Incinerating Oil(Troll Patrol: Done to Death)
DailyItem_AddArrayLine("Zul'Drak","Kolramas",38556,nul,0,12568);--Incinerating Oil(Troll Patrol: Done to Death)

-- The Occulus drakes

DailyItem_AddArrayLine(nul,nul,37815,nul,0,nul);--Emerald Essence()
DailyItem_AddArrayLine(nul,nul,37860,nul,0,nul);--Ruby Essence()
DailyItem_AddArrayLine(nul,nul,37859,nul,0,nul);--Amber Essence()

-- ToC Lances

DailyItem_AddArrayLine("Trial of the Champion",nul,46069,nul,0,nul);--Alliance Lance()
DailyItem_AddArrayLine("Trial of the Champion",nul,46070,nul,0,nul);--Horde Lance()
DailyItem_AddArrayLine("Trial of the Champion",nul,46106,nul,0,nul);--Argent Lance()

-- Now for items you will use again and again in PvP battles:

DailyItem_AddArrayLine("Strand of the Ancients",nul,39213,nul,0,nul);--Massive Seaforium Charge()
DailyItem_AddArrayLine("Wintergrasp",nul,42986,nul,0,nul);--The RP-GG()
DailyItem_AddArrayLine("Isle of Conquest",nul,46847,nul,0,nul);--Seaforium Bombs()
DailyItem_AddArrayLine("Isle of Conquest",nul,47030,nul,0,nul);--Huge Seaforium Bombs()

-- Other repeated stuff

DailyItem_AddArrayLine("Icecrown Citadel",nul,49278,nul,0,nul);--Goblin Rocket Pack(ICC Gunship)
DailyItem_AddArrayLine("Icecrown Citadel",nul,50851,nul,0,nul);--Pulsing Life Crystal(ICC Random Quest)
DailyItem_AddArrayLine("The Culling of Stratholme",nul,37888,nul,0,nul);--Arcane Disruptor(Culling of Stratholme)
DailyItem_AddArrayLine("Nagrand","Halaa",38556,nul,0,nul);--Incinerating Oil(Halaa)
DailyItem_AddArrayLine("Ulduar","Spark of Imagination",46029,nul,0,nul);--Magnetic Core(Ulduar Mimiron)


DailyItem_AddArrayLine("The Cape of Stranglethorn","Battle Ring",60387,nul,0,nul);--Gurubashi Challenge Flag()
DailyItem_AddArrayLine("Molten Front",nul,70925,nul,0,nul);--Eternal Lunar Pear(Agility)
DailyItem_AddArrayLine("Molten Front",nul,70924,nul,0,nul);--Eternal Eye of Elune(Intellect)
DailyItem_AddArrayLine("Molten Front",nul,70926,nul,0,nul);--Eternal Moonberry(Spirit)
DailyItem_AddArrayLine("Molten Front",nul,70927,nul,0,nul);--Eternal Sunfruit(strength)
DailyItem_AddArrayLine("Molten Front",nul,69832,"Druid of the Flame",1,29297);--Burd Sticker(Bye Bye Burdy)
DailyItem_AddArrayLine("Molten Front","Ashen Fields",69240,"Wounded Hyjal Defender",2,29138);--Enchanted Salve(Burn Victems)



DailyItem_AddArrayLine("Mount Hyjal","The Regrowth",68997,nul,0,29126);--Guardian's Staff(The Power of Malorne)

DailyItem_AddArrayLine("Mount Hyjal","The Regrowth",69234,nul,0,29147);--Quill of the Bird-Queen(Call the Flock)
DailyItem_AddArrayLine("Mount Hyjal","The Regrowth",69212,nul,0,29148);--Quill of the Bird-Queen(Wings Aflame)

DailyItem_AddArrayLine("Darkmoon Island","The Darkmoon Faire",72048,nul,0,29520);--Darkmoon Banner Kit(Banners, Banners Everywhere!)
DailyItem_AddArrayLine("Darkmoon Island","The Darkmoon Faire",72018,nul,0,29510);--Discarded Weapen(Putting Trash to good use)

DailyItem_AddArrayLine("Darkmoon Island","The Darkmoon Faire",72056,nul,0,29509);--Plump Frog(Putting the Crunch in the frog)
DailyItem_AddArrayLine("Darkmoon Island","The Darkmoon Faire",72057,nul,0,29509);--Breaded Frog(Putting the Crunch in the frog)

DailyItem_AddArrayLine("Darkmoon Island","The Darkmoon Faire",71964,nul,0,29508);--Iron Stock(Baby Needs Two Pair of Shoes)
DailyItem_AddArrayLine("Darkmoon Island","The Darkmoon Faire",71967,nul,0,29508);--HorseShoe(Baby Needs Two Pair of Shoes)

DailyItem_AddArrayLine("Darkmoon Island","The Darkmoon Faire",72052,nul,0,29516);--Bits of Glass(Keeping the Faire Sparkling)
-- DailyItem_AddArrayLine("Darkmoon Island","The Darkmoon Faire",71968,nul,0,29518);--Tonk Scrap(Rearm, Reuse, Recycle)
DailyItem_AddArrayLine("Darkmoon Island","The Darkmoon Faire",72046,nul,0,29514);--Darkblossom(Herbs For Healing)
DailyItem_AddArrayLine("Darkmoon Island","The Darkmoon Faire",71971,nul,0,29515);--Bundle of Exotic Herbs(Writing the Future)
DailyItem_AddArrayLine("Darkmoon Island","The Darkmoon Faire",71972,nul,0,29515);--Prophetic Ink(Writing the Future)
DailyItem_AddArrayLine("Darkmoon Island","The Darkmoon Faire",71977,nul,0,29517);--(Eye on the Prizes)


DailyItem_AddArrayLine("Darkmoon Island","The Darkmoon Faire",72110,nul,0,29511);--Battered Wrench(Talkin Tonks)
DailyItem_AddArrayLine("Darkmoon Island","The Darkmoon Faire",72043,nul,0,29506);--Cocktail Shaker(A Fizzy Fusion)

DailyItem_AddArrayLine("Darkmoon Island","The Darkmoon Faire",71978,"Injured Carnie",2,29512);--Darkmoon Bandage(Putting the Carnies Back Together Again)



DailyItem_AddArrayLine("Molten Front",nul,70925,nul,0,nul);--Eternal Lunar Pear(Agility)
DailyItem_AddArrayLine("Molten Front",nul,70924,nul,0,nul);--Eternal Eye of Elune(Intellect)
DailyItem_AddArrayLine("Molten Front",nul,70926,nul,0,nul);--Eternal Moonberry(Spirit)
DailyItem_AddArrayLine("Molten Front",nul,70927,nul,0,nul);--Eternal Sunfruit(strength)



end
